> ## Documentation Index
> Fetch the complete documentation index at: https://docs.together.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List supported models

> List models supported for fine-tuning.



## OpenAPI

````yaml openapi.yaml GET /fine-tunes/models/supported
openapi: 3.1.0
info:
  title: Together APIs
  description: The Together REST API. See https://docs.together.ai for more details.
  version: 2.0.0
  termsOfService: https://www.together.ai/terms-of-service
  contact:
    name: Together Support
    url: https://www.together.ai/contact
  license:
    name: MIT
    url: https://github.com/togethercomputer/openapi/blob/main/LICENSE
servers:
  - url: https://api.together.ai/v1
    description: Default environment for APIs
  - url: https://api-inference.together.ai/v2
    description: Optimized environment for inference
security:
  - bearerAuth: []
paths:
  /fine-tunes/models/supported:
    get:
      tags:
        - Fine-tuning
      summary: List supported models
      description: List models supported for fine-tuning.
      responses:
        '200':
          description: List of supported models.
          content:
            application/json:
              schema:
                type: object
                required:
                  - models
                  - detailed_models
                properties:
                  models:
                    type: array
                    items:
                      type: string
                    description: List of supported model names.
                  detailed_models:
                    type: array
                    items:
                      type: object
                      required:
                        - name
                        - parent_model
                      properties:
                        name:
                          type: string
                          description: Supported model name.
                        parent_model:
                          type: string
                          description: Parent model used for fine-tuning.
                    description: Supported models with parent model details.
      x-codeSamples:
        - lang: Python
          label: Together AI SDK (Python)
          source: >
            from together import Together


            client = Together()


            # The SDK has no dedicated method for this endpoint yet, so call it
            with

            # the client's generic GET helper.

            models = client.get("/fine-tunes/models/supported", cast_to=object)

            print(models)
        - lang: TypeScript
          label: Together AI SDK (TypeScript)
          source: >
            import Together from "together-ai";


            const client = new Together();


            // The SDK has no dedicated method for this endpoint yet, so call it
            with

            // the client's generic GET helper.

            const models = await client.get("/fine-tunes/models/supported");

            console.log(models);
        - lang: JavaScript
          label: Together AI SDK (JavaScript)
          source: >
            import Together from "together-ai";


            const client = new Together();


            // The SDK has no dedicated method for this endpoint yet, so call it
            with

            // the client's generic GET helper.

            const models = await client.get("/fine-tunes/models/supported");

            console.log(models);
        - lang: Shell
          label: cURL (list all)
          source: |
            curl "https://api.together.ai/v1/fine-tunes/models/supported" \
                 -H "Authorization: Bearer $TOGETHER_API_KEY"
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-bearer-format: bearer
      x-default: default

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.